Last modified: 2011-05-17 00:07:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27691 - Complete namespaceGenderAliases for all languages we support
Complete namespaceGenderAliases for all languages we support
Status: RESOLVED WORKSFORME
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.18.x
All All
: Normal minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 27385 27387 27398 27426 27681
Blocks: 28052
  Show dependency treegraph
 
Reported: 2011-02-24 20:14 UTC by Antoine "hashar" Musso (WMF)
Modified: 2011-05-17 00:07 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2011-02-24 20:14:12 UTC
We support namespaces aliases depending on the user gender. This is perfect for the USER and USER_TALK namespaces. As of february 2011, we add aliases languages per language (ex: r82719).

This bug is requesting to set up the aliases for ALL languages we support for MediaWiki 1.18 release.
Comment 1 The Evil IP address 2011-02-26 14:19:54 UTC
Maybe send a mail to mediawiki-i18n mailing list? https://lists.wikimedia.org/mailman/listinfo/mediawiki-i18n
Comment 2 Leinad 2011-03-03 00:06:32 UTC
Hey, I had hoped to introduce namespace gender support on International Women's Day ;) but I'm afraid there are too many issues...

In last comments of Bug17160 I presented my objections and then I opened new bugs:
* Bug27387
* Bug27398 (really important)
Comment 3 Siebrand Mazeland 2011-03-03 00:08:14 UTC
I think this is kindof an inexplicit issue that is unsolvable. We do not know
which language we support do and do not need this setting. Suggestion made in
comment 1 is useful, but I do not think keeping this issue open is.
Comment 4 Siebrand Mazeland 2011-03-04 11:53:03 UTC
Closing WFM.
Comment 5 Niklas Laxström 2011-03-04 12:55:43 UTC
We could grep usage of {{GENDER}} in translations and ask only from those languages.
Comment 6 Mark A. Hershberger 2011-03-15 01:50:04 UTC
adding as blocker for bug #28052 even though it is closed so that people will be aware of it and (maybe?) look for solutions.
Comment 7 Antoine "hashar" Musso (WMF) 2011-03-15 07:47:35 UTC
Mark, you want to reopen the bug since we do not really look at RESOLVED or CLOSED bugs :b
Comment 8 Siebrand Mazeland 2011-05-17 00:07:43 UTC
Closing this again as WFM. Anyone can just submit whatever gender patch may need to be made for a locale.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links